#include <stdio.h>
#include <string.h>
#include <time.h>
#include "crisSisGetUtilities.h"
#include "utilities.h"

int getOverlapStructCount(int day1996, char *structName) {
    char overlapFileName[256], dataFileSuffix[5], instrumentID;
    struct tm *pTimeStruct;

    pTimeStruct = getDateFromDay1996(day1996);
    instrumentID = getInstrumentIDFromStructName(structName);
    getDataFileSuffixFromStructName(dataFileSuffix, structName);

    generateDataFilePath(overlapFileName, pTimeStruct,
					instrumentID, dataFileSuffix);
    strcat(overlapFileName, ".overlap");

    if (fileExists(overlapFileName)) {
	return getFilesStructCount(overlapFileName,
				getStructSizeFromName(structName), 0);
    }
    else { return 0; }
}
