/* $Id: cvtToSec1996_ymd_hms.c,v 1.3 1999/03/18 21:11:15 bruce Exp $ */

/* $RCSfile: cvtToSec1996_ymd_hms.c,v $*/
/* $Author: bruce $ */
/* $Date: 1999/03/18 21:11:15 $ */
/* $Revision: 1.3 $ */

#include <sys/types.h>
#include "AceTime.h"

#include "utilities.h"

#ifndef u_long
#define u_long unsigned long
#endif

u_long cvtToSec1996_ymd_hms(long ymd, long hms)
{
   struct AceTime time;

   time.year = ymd/10000L + 1900L;
   if (time.year < 1950) time.year += 100L;
   time.month = (ymd/100L) % 100L;
   time.day = ymd % 100L;
   time.hour = hms/10000L;
   time.min = (hms/100L) % 100L;
   time.sec = hms % 100L;

   return cvtToSec1996(time);
}
