#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#include "hdfi.h"
#include "cris.h"
#include "level1.h"
 
    /* testing putCrisDiagnosticEventGroup */
int main(int argc, char *argv[]) {
    struct L1CrisDiagnosticEvent de[1000], *pDe;
    struct tm timeStruct, *pTimeStruct;
    uint32 secondsSince1996;
    int i;
 
    timeStruct.tm_year = 99;    /* 1999 */
    timeStruct.tm_mon = 8;      /* sept. */
    timeStruct.tm_mday = 23;    /* the 23th */
    timeStruct.tm_hour = 15;    /* 3 pm */
    timeStruct.tm_min = 34;
    timeStruct.tm_sec = 30;
    timeStruct.tm_isdst = 0;    /*  no daylight savings time */
    pTimeStruct = &timeStruct;
    secondsSince1996 = getSecondsSince1996FromDate(pTimeStruct);
 
    for (i = 0; i < 1000; i++) {
        de[i].Second1996MinorFrame0 = secondsSince1996;
        de[i].ContinuationFlag = 0;
 
        secondsSince1996 += 500;        /* arbitrary increment */
    }
 
    pDe = &(de[0]);             /* or pDe = de */
    putCrisDiagnosticEventGroup(pDe);
 
    return 0;
}
